[i945g] Screen freezes when using an touchscreen

Bug #365527 reported by Wesley Velroij on 2009-04-23
42
This bug affects 4 people
Affects Status Importance Assigned to Milestone
xf86-video-intel
Invalid
Critical
Debian
Invalid
Undecided
Unassigned
xserver-xorg-video-intel (Ubuntu)
Undecided
Unassigned

Bug Description

Hello, ive reported this some few times before, I even apointed mister Shuttelworth to the bug, but they said I had other bug, I will include information reported by others, because I dont know how to shh into the problem.

By fixture:

I installed ssh-server to get to the bottom of this. When the computer froze, I ssh'ed into it. Surprise! It worked.

It turns out that this is not a kernel freeze. Mouse moves but Caps lock does not respond. In the ssh session, I went into top and htop. Nothing suspicious at all, in fact, there's no cpu usage at all! I do even know what to go on.

Then I theorized that this is a graphics hardware problem. I went to test this out by restarting GDM. This little bit of kernel log is what you get:

[ 723.628131] [drm:i915_gem_idle] *ERROR* hardware wedged
[ 723.640543] [drm:i915_get_vblank_counter] *ERROR* trying to get vblank count for disabled pipe 0
[ 791.378469] [drm:i915_gem_entervt_ioctl] *ERROR* Reenabling wedged hardware, good luck
[ 835.163015] ata1.00: configured for UDMA/133
[ 835.163023] ata1: EH complete
[ 835.163166] sd 0:0:0:0: [sda] 625142448 512-byte hardware sectors: (320 GB/298 GiB)
[ 835.163204] sd 0:0:0:0: [sda] Write Protect is off
[ 835.163210] sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
[ 835.163265] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA

I also attached the bigger kernel log to the message.

[lspci]
00:00.0 Host bridge [0600]: Intel Corporation 82945G/GZ/P/PL Memory Controller Hub [8086:2770] (rev 02)
     Subsystem: Intel Corporation Device [8086:464c]
00:02.0 VGA compatible controller [0300]: Intel Corporation 82945G/GZ Integrated Graphics Controller [8086:2772] (rev 02)
     Subsystem: Intel Corporation Device [8086:464c]

Wesley Velroij (velroy1) wrote :
Wesley Velroij (velroy1) wrote :

You know sure its a duplicate because I have a intel 945.

Zack Evans (zevans23) wrote :

This is not a duplicate, people. In the early days of the 359392 bug there were a lot of freezes around, but (correct me if I am wrong Bryce and co) 359392 is now identified as an 965 specific issue with a 965 workaround - and that workaround is not useful for a 945 because it will introduce other problems, assuming it fixed the problem for us at all.

Wesley's bug sounds much more like the one I see... so it may well be a dupe of another 945 bug, but it's certainly not a dupe of 359392.

Wesley, are you on Intrepid release versions of everything - or are you using any Xorg edgers stuff or other unusual libraries, and can you please post Xorg.0.log and output of lspci --vvnn.

Matt Zimmerman (mdz) wrote :

I expect that Bryce overlooked that this report was about i945, because this information was buried in the kernel log. In the future, please always use the ubuntu-bug tool for reporting bugs like these, because that will automatically attach all of the relevant hardware information.

See http://mdzlog.alcor.net/2009/03/31/please-dont-report-ubuntu-bugs-directly-to-launchpad/ for more information about why and how.

In order to provide the relevant information for this bug, Wesley needs to run:

apport-collect 365527

and follow the prompts.

Zack, if you're aware of an i945 bug report which is a better match for Wesley's symptoms, please post in here.

Meanwhile, I've un-duped this one.

Wesley Velroij (velroy1) wrote :

I use jaunty, I have tested xorg edgers, didnt really help and still freezed, when do I need to post Xorg.0.log? When it freezed?

wesley@Dexter:~$ lspci
00:00.0 Host bridge: Intel Corporation 82945G/GZ/P/PL Memory Controller Hub (rev 02)
00:02.0 VGA compatible controller: Intel Corporation 82945G/GZ Integrated Graphics Controller (rev 02)
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 01)
00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 (rev 01)
00:1c.2 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 3 (rev 01)
00:1c.3 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 4 (rev 01)
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #1 (rev 01)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #2 (rev 01)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #3 (rev 01)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #4 (rev 01)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI Controller (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev e1)
00:1f.0 ISA bridge: Intel Corporation 82801GB/GR (ICH7 Family) LPC Interface Bridge (rev 01)
00:1f.1 IDE interface: Intel Corporation 82801G (ICH7 Family) IDE Controller (rev 01)
00:1f.2 IDE interface: Intel Corporation 82801GB/GR/GH (ICH7 Family) SATA IDE Controller (rev 01)
00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 01)
01:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 02)
wesley@Dexter:~$

Architecture: amd64
DistroRelease: Ubuntu 9.04
Package: xorg 1:7.4~5ubuntu18
PackageArchitecture: amd64
ProcEnviron:
 SHELL=/bin/bash
 LANG=nl_NL.UTF-8
 LANGUAGE=
ProcVersion: Linux version 2.6.28-11-generic (buildd@crested) (gcc version 4.3.3 (Ubuntu 4.3.3-5ubuntu4) ) #42-Ubuntu SMP Fri Apr 17 01:58:03 UTC 2009
Uname: Linux 2.6.28-11-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev root sambashare

Wesley Velroij (velroy1) wrote :
Wesley Velroij (velroy1) wrote :
Wesley Velroij (velroy1) wrote :
Wesley Velroij (velroy1) wrote :
Wesley Velroij (velroy1) wrote :
Wesley Velroij (velroy1) wrote :
Wesley Velroij (velroy1) wrote :
Wesley Velroij (velroy1) wrote :
Wesley Velroij (velroy1) wrote :
Wesley Velroij (velroy1) wrote :
Wesley Velroij (velroy1) wrote :
Wesley Velroij (velroy1) wrote :
Wesley Velroij (velroy1) wrote :

Hi Wesley. To get more actionable information on this freeze, and also to help determine if this is related to the big 965 issue; can you please collect a batch buffer dump for your bug.

Basically, what you need to do is to install a vanilla mainline kernel DEB from 2.6.30 RC's and also the intel GPU tools DEB and then wait until the freeze happens again at which point you

A detailed step by step description of how to collect the batch buffer dump is available here:
https://wiki.ubuntu.com/X/Troubleshooting/Freeze#Get%20a%20Batchbuffer%20Dump%20(-intel%20only)

Thanks.

affects: xorg (Ubuntu) → xserver-xorg-video-intel (Ubuntu)
Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Incomplete

Architecture: i386
DistroRelease: Ubuntu 9.04
Package: xserver-xorg-video-intel 2:2.6.3-0ubuntu9
PackageArchitecture: i386
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, user)
 LANG=en_US.UTF-8
ProcVersion: Linux version 2.6.28-11-generic (buildd@palmer) (gcc version 4.3.3 (Ubuntu 4.3.3-5ubuntu4) ) #42-Ubuntu SMP Fri Apr 17 01:57:59 UTC 2009
Uname: Linux 2.6.28-11-generic i686
UserGroups: adm admin audio cdrom dialout dip fax floppy fuse lpadmin mythtv netdev plugdev pulse pulse-access pulse-rt sambashare scanner tape vboxusers video

Botond Szász (boteeka) wrote :
Botond Szász (boteeka) wrote :
Botond Szász (boteeka) wrote :
Botond Szász (boteeka) wrote :
Botond Szász (boteeka) wrote :
Botond Szász (boteeka) wrote :
Botond Szász (boteeka) wrote :
Botond Szász (boteeka) wrote :
Botond Szász (boteeka) wrote :
Botond Szász (boteeka) wrote :
Botond Szász (boteeka) wrote :
Botond Szász (boteeka) wrote :
Botond Szász (boteeka) wrote :
Botond Szász (boteeka) wrote :

Bug 343362 looks similar... take a look please Wesley? And if you get instant lockup on X start when you install RC2 to get the debug stuff, we've got the same bug.

FWIW #366222 looks like another possible duplicate.

--

Philippe

------
The trouble with common sense is that it is so uncommon.
<Anonymous>

On Wednesday 29 April 2009 14:42:00 Zack Evans wrote:
> Bug 343362 looks similar... take a look please Wesley? And if you
> get instant lockup on X start when you install RC2 to get the
> debug stuff, we've got the same bug.

I seem to have the same problem here.

My hardware contains an i945 intel graphic card, and an eGalax touchscreen.

Actually, when I leave the PC alone, nothing seems to happen, but the more I use the touchschreen, the higher chance that the PC freezes.

It's as if X freezes more so than the kernel, because it seems the hardisk is still being accessed and so on.

Do you need nay information, and how would I go about providing it?

Thanks.

These symptoms sounds like the problem I've been having since upgrading from Intrepid 8.10 to Jaunty 9.04 (amd64) on a Lenovo X301 (2776) laptop. In the 24 hours since upgrading it has twice locked up the screen display, mouse pointer, and keyboard. /var/log/kern.log shows a kernel 'Oops' related to 'i915_gem_execbuffer' - might be a separate bug or different error for same problem?

uname -a
Linux shim 2.6.28-11-generic #42-Ubuntu SMP Fri Apr 17 01:58:03 UTC 2009 x86_64 GNU/Linux

lspci -nn | grep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 07)

[...]
May 3 17:26:03 shim kernel: [ 3517.858785] BUG: unable to handle kernel NULL pointer dereference at 000000000000002c
May 3 17:26:03 shim kernel: [ 3517.858799] IP: [<ffffffffa03ea3a8>] i915_gem_execbuffer+0x1e8/0x740 [i915]
May 3 17:26:03 shim kernel: [ 3517.858821] PGD 13a128067 PUD 1379ae067 PMD 0
May 3 17:26:03 shim kernel: [ 3517.858830] Oops: 0000 [#1] SMP
[...]

Full dump on https://bugs.launchpad.net/ubuntu/+bug/368642

I am having an issue with Jaunty on i915. Using Metacity, the CPU gets slowly but surely eaten up with no obvious process eating up the CPU cycles. "top" shows no process taking more than 5-10% CPU time, while the "System Monitor" panel applet shows the CPU at 100% usage, with "IOWait" eating up most of it. When this happens I gradually lose control of the system, where sometimes I can reboot it, while other times it just freezes trying to do it. Most programs stop responding when this happens. Switching to text mode doesn't help as bash can't get enough CPU time to initialize. I can reboot with the Magic SysRq key. I can trigger this easily while on battery, usually within 5-10 minutes of normal usage (browsing, reading PDFs etc).

My question is if this bug is related to the above described symptoms, or is it a completely different bug that's affecting me?

Thanks.

Dave Gilbert (ubuntu-treblig) wrote :

Hi,
  I've reported a few hangs/crashes since Jaunty alphas, but thought they had gone away, I hit another one last night and have some debug - it happened as I closed a tab in firefox (the button was still highlighted inwards) - the mouse cursor continued moving but nothing else worked (not even capslock) - it's not repeatable; my machine has an i945GM with an internal LCD and an external monitor. This was running a 2.6.28-12 #42 from Daniel Chen with a sound fix.

Gdb attach to the Xserver gives:

(gdb) where
#0 0x00007f8c92f27cd7 in ioctl () from /lib/libc.so.6
#1 0x00007f8c91545343 in drmIoctl () from /usr/lib/libdrm.so.2
#2 0x00007f8c91545646 in drmCommandNone () from /usr/lib/libdrm.so.2
#3 0x00007f8c910c2ba8 in I830BlockHandler (i=<value optimized out>, blockData=0x0, pTimeout=0x7fff9d34d978, pReadmask=0x7de
e40)
    at ../../src/i830_driver.c:2751
#4 0x00000000005370f8 in AnimCurScreenBlockHandler (screenNum=0, blockData=0x0, pTimeout=0x7fff9d34d978, pReadmask=0x7dee40
)
    at ../../render/animcur.c:222
#5 0x000000000050170e in compBlockHandler (i=0, blockData=0x0, pTimeout=0x7fff9d34d978, pReadmask=0x7dee40)
    at ../../composite/compinit.c:158
#6 0x0000000000451d20 in BlockHandler (pTimeout=0x7fff9d34d978, pReadmask=0x7dee40) at ../../dix/dixutils.c:384
#7 0x00000000004ef561 in WaitForSomething (pClientsReady=0x137d690) at ../../os/WaitFor.c:215
#8 0x000000000044e020 in Dispatch () at ../../dix/dispatch.c:367
#9 0x0000000000433d8d in main (argc=10, argv=0x7fff9d34db58, envp=<value optimized out>) at ../../dix/main.c:397

I killed off the Xserver and it didn't restart - the following was in the logs:

[57243.381583] [drm:i915_getparam] *ERROR* Unknown parameter 6
[67624.392049] [drm:i915_wait_irq] *ERROR* EBUSY -- rec: 631301 emitted: 631302
[67627.404050] [drm:i915_wait_irq] *ERROR* EBUSY -- rec: 631301 emitted: 631303
[67629.108050] [drm:i915_gem_idle] *ERROR* hardware wedged
[67642.010280] [drm:i915_setparam] *ERROR* unknown parameter 4
[67642.010309] [drm:i915_getparam] *ERROR* Unknown parameter 6
[67642.089084] [drm:i915_gem_entervt_ioctl] *ERROR* Reenabling wedged hardware, good luck
[67643.138064] [drm:i915_getparam] *ERROR* Unknown parameter 6

Those unknown parameter 6's seem to happen pretty regularly but don't seem to cause any issues.
Machine doesn't run compiz.

(My earlier Jaunty issues were in #346910 - although I haven't had any crashes to blue like that recently).

Dave

Jmadero (jmadero) wrote :

What can I add to help with this process? I am experiencing freezes too often and on a work/school computer I might have to downgrade to Intrepid just to avoid freezes....here are some details about my machine:

Toshiba Satellite A135
Intel 950 graphics card

I can't pinpoint what's causing the freezes. Different things have been open every time and I don't see memory being chewed up. It is a complete system freeze, I have to force shut down, no response to keyboard or mouse.

Let me know what I can add as this is a serious problem. Thanks all

Jmadero: Martin Olsson gives us the best thing we can do above, and it is explained on this page:

https://wiki.ubuntu.com/X/Troubleshooting/Freeze#Get%20a%20Batchbuffer%20Dump%20(-intel%20only)

It is a bit involved to do on a production machine. However, if you are suffering enough you may be willing to help gather the info these guys need to fix stuff rather than have to downgrade :-)

Ramaddan (ramaddan) wrote :

Hi,

I tried following the steps mentioned in:
https://wiki.ubuntu.com/X/Troubleshooting/Freeze

And:
https://edge.launchpad.net/~ubuntu-x-swat/+archive/x-freeze-test

The log and dump files are attached.

I was not able to to SSH into the forzen machine though, and thus just restarted and did the remaining steps after it froze.

Will that render the information useless, or still useful?

======
Notes:
======

When Did You First Notice It?:
------------------------------

When I upgraded from Intrepid to Jaunty

What Frequency Does it Occur?:
------------------------------

Frequent: I happens very frequently, but only when I tap my touchscreen. If I don't tap anything, then nothing happens.

Define Steps to Reproduce:
--------------------------

- Turn on PC, log in, start using stylus pen on touchscreen, and at some point it will freeze.
- Whether I attach keyboard or mice to the computer, nothing makes it freeze except when I use the touchscreen, then X Freezes completely at some point.

Get a Batchbuffer Dump (-intel only):
-------------------------------------

- File is attached of dump, but I could not SSH into the machine so I just restarted and did the remaining step in the link:
https://edge.launchpad.net/~ubuntu-x-swat/+archive/x-freeze-test

Does that render the information useless or is it still useful?

Observations:
-------------

- Freezes even with Compiz OFF
- I did not have this problem in Intrepid

Hope this helps with this problem.

Bryce Harrington (bryce) on 2009-05-06
tags: added: freeze
Bryce Harrington (bryce) on 2009-05-06
description: updated
Bryce Harrington (bryce) on 2009-05-08
summary: - Jaunty freezes all the time
+ [i945g] Jaunty freezes all the time
Bryce Harrington (bryce) on 2009-05-08
Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → Confirmed

I'd like to forward this bug upstream so it can get looked into, but there needs to be a complete set of files posted by at least one person (so they're consistent).

So what we either need is:

a. Wesley or Botond - post a dri_debug.tgz as described in comment #20 or #43

or

b. Ramaddan - we need your Xorg.0.log; you can post your info by running `apport-collect 365527`.

Once either of these is done, the bug can be sent upstream.

It would also be helpful if someone could upgrade to Karmic to see if the bug is also still present there. It has a new -intel and new kernel, both of which have many bug fixes included.

Changed in xserver-xorg-video-intel (Ubuntu):
status: Confirmed → Incomplete
Wesley Velroij (velroy1) wrote :

Sorry I installed Fedora 11 over kubuntu 9.04, because I was sick that my main pc was freezing all the time, so I gues here ends it on the Atom 330.

I tried upgrading to the 2.6.30 kernel to reduce the many way Jaunty freezes, kernel oops, GPU lock-ups, and wireless module lock-ups that arrived with Jaunty. So many major regressions in a single production release! Problem is the 2.6.30 kernel is built with an old gcc and that cause problems with vmware server 2, which I need.

So I downgraded and I am now trying the 'jauny-proposed' 2.6.28-12 kernel and -intel driver, together with the 'jaunty-backports' wireless (iwlagn) module. Things have been a bit better for ~24 hours. The Jaunty back-ports iwlagn module is still poked, but just causing kernel errors rather than total machine lock-up like the stock Jaunty one. I need to get work down so I have actually been using an ethernet cable to avoid wireless.

As soon I get some time I'll try to find some way to escape the misery that is Jaunty, downgrade to 8.10 (my happy place :-) or get the karmic kernel to work with vmware.

Bryce Harrington (bryce) on 2009-05-12
summary: - [i945g] Jaunty freezes all the time
+ [i945g] Jaunty kubuntu freezes all the time
Bryce Harrington (bryce) on 2009-05-12
Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → New
status: New → Incomplete

Architecture: i386
DistroRelease: Ubuntu 9.04
Package: xserver-xorg-video-intel 2:2.6.3-0ubuntu9
PackageArchitecture: i386
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_CA.UTF-8
ProcVersion: Linux version 2.6.28-11-generic (buildd@palmer) (gcc version 4.3.3 (Ubuntu 4.3.3-5ubuntu4) ) #42-Ubuntu SMP Fri Apr 17 01:57:59 UTC 2009
Uname: Linux 2.6.28-11-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Ramaddan (ramaddan) wrote :
Ramaddan (ramaddan) wrote :
Ramaddan (ramaddan) wrote :
Ramaddan (ramaddan) wrote :
Ramaddan (ramaddan) wrote :
Ramaddan (ramaddan) wrote :
Ramaddan (ramaddan) wrote :
Ramaddan (ramaddan) wrote :
Ramaddan (ramaddan) wrote :
Ramaddan (ramaddan) wrote :
Ramaddan (ramaddan) wrote :
Ramaddan (ramaddan) wrote :
Ramaddan (ramaddan) wrote :
Ramaddan (ramaddan) wrote :
Bryce Harrington (bryce) on 2009-05-13
Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → New

Thanks Ramaddan, one more thing to test, could you see if you can reproduce the freeze after installing the 2.7.0 driver and switching to AccelMethod UXA? A PPA with a Jaunty version of this driver is available at: https://edge.launchpad.net/~ubuntu-x-swat/+archive/x-updates/, or you can update to Karmic and test that. Thanks ahead of time, and let us know either way.

Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Incomplete
Ramaddan (ramaddan) wrote :

Hi,

I tried both the stock driver and the 2.7.0 driver, both behaving similarly as follows:

- They both freeze often when the touchscreen is touched too many times.
- When the following is added as follows in /etc/X11/xorg.conf

Section "Device"
 Identifier "Configured Video Device"
 Option "AccelMethod" "uxa"
EndSection

Then I noticed that the occurence of freezes reduces drastically, but still happens for both drivers.

- Something new came with switching to UXA.
  Sometimes the screen does one very fast flick (almost unnoticeable), and then it goes away, then comes back after a long time.

- One difference that I noticed was that the UXA method also makes the whole screen go black, but the computer does not freeze, as I can still go to CTRL+ALT+F1 and restart GDM.
   But this only occured in the stock driver so far, but I have not tested long enough to see if it occurs in the new one as well.

Hope all this info helps.

Ramaddan (ramaddan) wrote :

Ok, it does the same with the new driver as well with the UXA mode.

All the screen just turns black all of a sudden, and have to restart.

Martin Olsson (mnemo) wrote :

@Ramaddan, when the screen does black can you still move the mouse cursor or not?

Also, Bryce has just uploaded intel driver 2.7.1 to the X-Updates PPA and that version is known to fix at least one major freeze bug. If your freeze bug also happens with the 2.7.1 version that would be very valuable for us to know. Thanks.

Wesley Velroij (velroy1) wrote :

I had yesterday fedora on the Atom330 ( What a hassle getting a distro on it without a dvd drive ), and it freezed to, similar like the freezing, that happened under Kubuntu.

Ramaddan (ramaddan) wrote :

Hi Martin, when the screen goes black, it's black, I can't see anything, so I don't know if the mouse is moving.

I turned off the UXA mode, and I did not get that anymore.

I tried the 2.7.1, and it seems good :-) I did not have any crashes yet. Thanks.

If I do get anything, I'll get back to you. Will this be uploaded to the normal Jaunty repo?

I'm forwarding this on behalf of an downstream Ubuntu user "Ramaddan" who posted logs in comments on this bug:
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/365527

It's a batch buffer dump recorded after a freeze on 945GME using 2.6.3 ddx driver in EXA mode.

Logs:
http://launchpadlibrarian.net/26656026/LsPci.txt
http://launchpadlibrarian.net/26656027/XorgConf.txt
http://launchpadlibrarian.net/26656028/XorgLog.txt
http://launchpadlibrarian.net/26656029/XorgLogOld.txt

Batch buffer dump:
http://launchpadlibrarian.net/26332867/dri_debug.tgz

Of course, since this is 2.6.3 we can't rule out that this freeze is an instance of the freeze bug keithp fixed with the commit below. I don't know what to look for in the batch buffer dump though so I can't tell (is there an _easy_ method for distinguishing different freeze bugs by trivial inspection?).

commit 1142353b487c155a31011923fbd08ec67e60f505
Author: Keith Packard <email address hidden>
Date: Fri May 1 11:44:13 2009 -0700

    intel_batch_start_atomic: fix size passed to intel_batch_require_space (*4)

Using the 2.7.1, I got an X server hang within 10 mins of usage.
The symptoms are:
 - mouse responds (movable)
 - apart from mouse movement, no other reaction could be provoked from anything on-screen, either using mouse or keyboard
 - jaunty
 - <ctrl><alt><backspace> doesn't work even with DontZap set to false
 - I can still login via ssh
 - The programs on the desktop still seem to be running (according to 'ps aux'), but CPU activity is near 0%
 - The Xorg.0.log doesn't seem to contain anything suspicious (still added in case I missed something)

I think this is a different bug, but it only occurred after I installed the 2.7.1 driver, so it'd be nice if that wasn't added to the jaunty repos until this is fixed.

Martin Olsson (mnemo) wrote :

2.7.1 won't be sent out for jaunty but it's already in karmic so reporting this bug would be very useful.

---

The most efficient way of fixing these freeze bugs is to capture batch buffer dumps as you did above. After you have captured such a batch buffer dump, please open a _new_ bug for each freeze / captured dump using the terminal command "ubuntu-bug xorg" (then we also get xorg.log and all those files attached which is essential because then we can forward this information to upstream saying that this freeze happen on that chipset etc).

If you can repro freezes on the latest driver (2.7.1) that's even better because then the developers know right away that they are dealing with a non-fixed freeze issue. We've had several reports of -intel freezes lately and unfortunately we cannot rule out the possibility that there is several freeze bugs at work simultaneously.

In case someone missed it, here is the step by step instructions for capturing a batch buffer dump for analyzing a freeze:
https://launchpad.net/~ubuntu-x-swat/+archive/x-freeze-test

Martin Olsson (mnemo) wrote :

I've upstreamed Ramaddan's logs + batch buffer dump here:
https://bugs.freedesktop.org/show_bug.cgi?id=21739

Please try to file one bug report per person for all freezes. It's very hard to know if they are actually the same or not. Posting "me too" comments etc on freezes is not that useful for getting the bugs fixed, it's mostly makes things more confusing. If two bug reports turn out of be the same issue then we can always mark the as duplicates once we have established that this is actually the case. Thank you.

Changed in xserver-xorg-video-intel:
status: Unknown → Confirmed

The dump doesn't include the batchbuffer (kernel too old, it looks like), so we can't really see anything. But you definitely need that fix in your packages.

@Eric, ah okay... That's too bad, I suggest closing this bug report as INVALID then (don't expect more info from the downstream bug reporter).

@Martin: Problem is back.

For some reason, I started having the freezes again.

The issue is, as I will re-emphasize, I only get the freezes when I use the touchscreen, nothing else.

Wouldn't that suggest a problem with the touchscreen driver?

My PC uses the xserver-xorg-input-evtouch driver for the touchscreen to work.

Martin Olsson (mnemo) wrote :

@Ramaddan, you should open a new bug report. If it's touchscreen related then your issue is not related to this bug.

Dave Gilbert (ubuntu-treblig) wrote :

Why is this bug marked *k*ubuntu - I'm getting this with plain Ubuntu.

My gut feeling is this is kernel not X; I did an alt-sysrq and could see the disc blink for sync (and it's logged that);
but alt-sysrq-b didn't reboot.

My backtrace on the 3rd May also showed it stuck in an ioctl.

I'm giving up on Jaunty, I'm moving onto Karmic.

Dave

Ramaddan (ramaddan) wrote :

@Dave Gilbert: The problem is in Karmic too, so I would not recommend moving to it, as it will not solve your problem, and on top of that it is in Alpha stage with many problems and issues.

Lionel Dricot (ploum) on 2009-05-28
summary: - [i945g] Jaunty kubuntu freezes all the time
+ [i945g] Jaunty freezes the time when using an evtouch touchscreen
summary: - [i945g] Jaunty freezes the time when using an evtouch touchscreen
+ [i945g] Screen freezes when using an evtouch touchscreen

sorry for the noise.

affects: xserver-xorg-video-intel (Debian) → debian
Changed in debian:
importance: Unknown → Undecided
status: Unknown → New
status: New → Invalid
Bryce Harrington (bryce) wrote :

Since we've begun work on Karmic, it would be interesting to hear if this issue still exists there. Test using the xorg-edgers repository since that contains several X updates that we will be pulling in the coming weeks, so it would be good to know whether or not the issue is still present there.

Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → New
Bryce Harrington (bryce) on 2009-05-29
Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Incomplete
Dave Gilbert (ubuntu-treblig) wrote :

Lionel: I'm confused why this bug changed to having evtouch touchscreen in the title ? As far as I can tell only one or two of the people reporting this had that touchscreen.

Dave

Lionel Dricot (ploum) wrote :

sorry, I though that most touchscreen were using evtouch

summary: - [i945g] Screen freezes when using an evtouch touchscreen
+ [i945g] Screen freezes when using an touchscreen
Changed in xserver-xorg-video-intel:
status: Confirmed → Invalid
Dave Gilbert (ubuntu-treblig) wrote :

Lionel: I mean was it ever specific to touchscreens at all? Certainly for me I don't have a touchscreen and it happens for me.

Bryce Harrington (bryce) on 2009-07-16
Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → New
Bryce Harrington (bryce) wrote :

I think this bug has gotten stale. As a general rule, each bug report should be focused on a single, specific issue. The title (and the confusion surrounding the title) suggests a generic symptom rather than a specific bug, which can make it hard to drive the bug to a solution.

I note the upstream bug for this was closed as invalid, which also is a sign this is stale.

I would recommend that people still seeing freezes with touchscreens please test against latest karmic (which contains fixes for a vast range of freeze bugs), and then collect a gpu dump. Step by step directions on getting a dump are available here:

  https://wiki.ubuntu.com/X/Troubleshooting/Freeze#How to Get a Batchbuffer Dump (-intel only)

Then file a NEW bug and attach this information. (We've actually been having very good results lately at working with upstream to get these kinds of issues resolved, which is cool because traditionally X freezes have been notoriously hard to debug.)

Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Invalid

Architecture: amd64
DistroRelease: Ubuntu 9.04
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, user)
 LANG=es_ES.UTF-8
 LANGUAGE=es_ES:es:en_GB:en
Uname: Linux 2.6.28-15-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Changed in xserver-xorg-video-intel:
importance: Unknown → Critical
Changed in xserver-xorg-video-intel:
importance: Critical → Unknown
Changed in xserver-xorg-video-intel:
importance: Unknown → Critical
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.